package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanTaskNotice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface HaobanTaskNoticeMapper {

    int save(TabHaobanTaskNotice notice);

    int updateStatus(@Param("ids") List<Long> ids);

    List<TabHaobanTaskNotice> listForTimer() ;

    TabHaobanTaskNotice getById(@Param("id")Long id);

    int listByPlanId(@Param("planId")String planId , @Param("startTime") Date startTime , @Param("endTime")Date endTime) ;
}
